; ----------------------------------------------------------------------------
;
; AutoIt Version: 3.1.0
; Author:         Hugo Bossard, 26.08.2005
;
; Script Function:
;	Global replace. The search and replace strings must be placed in the
;       INI file. All files of interest must be opened with EditPlus first.
;       EditPlus has a sarch/replace function which works on all opened files.
;
; ----------------------------------------------------------------------------

;Opt("SendKeyDelay", 20)        ;20, default is 5 milliseconds
;Opt("SendKeyDownDelay", 20)    ;20, default is 1 millisecond

; The window title of the editor. Change this line according to your needs
$Prog = "EditPlus"

$IniFile = ".\SearchReplace.ini"
$Dly = 500
$Cnt = 0

; Read INI file
If Not FileExists($IniFile) Then
  MsgBox(4096,"", $IniFile & " missing.")
  Exit 1
EndIf

; Test whether program is already open
If (WinExists($Prog)) Then	
  WinActivate($Prog)
  If WinWaitActive($Prog) Then
    Do

      $SearchStr = IniRead($IniFile, "Search", $Cnt, "")
      $ReplaceStr = IniRead($IniFile, "Replace", $Cnt, "")

;      MsgBox(4096,"", $IniFile & " Search: " & $SearchStr & " Replace with: " & $ReplaceStr)
     ; Send the keys to the editor. Change this line according to your needs
     Send("{ESC}^h" & $SearchStr & "{TAB}" & $ReplaceStr & "!o!a")
     Sleep($Dly)

      $Cnt = $Cnt + 1
    Until $SearchStr == "" Or $ReplaceStr == ""
    Send("{ESC}")
    $Cnt = $Cnt - 1
    MsgBox(4096,"", "Replacement of " & $Cnt & " expressions finished.")
  EndIf
  ; -----------------------------------------------------------------------------------------
Else
  MsgBox(4096, "Error", "Please open " & $Prog & " and try again")
EndIf
